from django.contrib import admin

from .models import PhonebookEntry, PhonebookNumber


class PhonebookNumberInline(admin.TabularInline):
    model = PhonebookNumber


@admin.display(description="Name")
def first_and_last_name(obj):
    return f"{obj.first_name} {obj.last_name}"


@admin.register(PhonebookEntry)
class PhonebookEntryAdmin(admin.ModelAdmin):
    list_display = (first_and_last_name, "enabled", "favourite", "vip", "blocked")
    list_filter = ("first_name", "last_name", "enabled", "favourite", "vip", "blocked")

    inlines = [
        PhonebookNumberInline,
    ]


@admin.register(PhonebookNumber)
class PhonebookNumberAdmin(admin.ModelAdmin):
    pass
